;(function(root){var freeExports=typeof exports=='object'&&exports&&!exports.nodeType&&exports;var freeModule=typeof module=='object'&&module&&!module.nodeType&&module;var freeGlobal=typeof global=='object'&&global;if(freeGlobal.global===freeGlobal||freeGlobal.window===freeGlobal||freeGlobal.self===freeGlobal){root=freeGlobal;}
var punycode,maxInt=2147483647,base=36,tMin=1,tMax=26,skew=38,damp=700,initialBias=72,initialN=128,delimiter='-',regexPunycode=/^xn--/,regexNonASCII=/[^\x20-\x7E]/,regexSeparators=/[\x2E\u3002\uFF0E\uFF61]/g,errors={'overflow':'Overflow: input needs wider integers to process','not-basic':'Illegal input >= 0x80 (not a basic code point)','invalid-input':'Invalid input'},baseMinusTMin=base-tMin,floor=Math.floor,stringFromCharCode=String.fromCharCode,key;function error(type){throw RangeError(errors[type]);}
function map(array,fn){var length=array.length;var result=[];while(length--){result[length]=fn(array[length]);}
return result;}
function mapDomain(string,fn){var parts=string.split('@');var result='';if(parts.length>1){result=parts[0]+'@';string=parts[1];}
string=string.replace(regexSeparators,'\x2E');var labels=string.split('.');var encoded=map(labels,fn).join('.');return result+encoded;}
function ucs2decode(string){var output=[],counter=0,length=string.length,value,extra;while(counter<length){value=string.charCodeAt(counter++);if(value>=0xD800&&value<=0xDBFF&&counter<length){extra=string.charCodeAt(counter++);if((extra&0xFC00)==0xDC00){output.push(((value&0x3FF)<<10)+(extra&0x3FF)+0x10000);}else{output.push(value);counter--;}}else{output.push(value);}}
return output;}
function ucs2encode(array){return map(array,function(value){var output='';if(value>0xFFFF){value-=0x10000;output+=stringFromCharCode(value>>>10&0x3FF|0xD800);value=0xDC00|value&0x3FF;}
output+=stringFromCharCode(value);return output;}).join('');}
function basicToDigit(codePoint){if(codePoint-48<10){return codePoint-22;}
if(codePoint-65<26){return codePoint-65;}
if(codePoint-97<26){return codePoint-97;}
return base;}
function digitToBasic(digit,flag){return digit+22+75*(digit<26)-((flag!=0)<<5);}
function adapt(delta,numPoints,firstTime){var k=0;delta=firstTime?floor(delta/damp):delta>>1;delta+=floor(delta/numPoints);for(;delta>baseMinusTMin*tMax>>1;k+=base){delta=floor(delta/baseMinusTMin);}
return floor(k+(baseMinusTMin+1)*delta/(delta+skew));}
function decode(input){var output=[],inputLength=input.length,out,i=0,n=initialN,bias=initialBias,basic,j,index,oldi,w,k,digit,t,baseMinusT;basic=input.lastIndexOf(delimiter);if(basic<0){basic=0;}
for(j=0;j<basic;++j){if(input.charCodeAt(j)>=0x80){error('not-basic');}
output.push(input.charCodeAt(j));}
for(index=basic>0?basic+1:0;index<inputLength;){for(oldi=i,w=1,k=base;;k+=base){if(index>=inputLength){error('invalid-input');}
digit=basicToDigit(input.charCodeAt(index++));if(digit>=base||digit>floor((maxInt-i)/w)){error('overflow');}
i+=digit*w;t=k<=bias?tMin:(k>=bias+tMax?tMax:k-bias);if(digit<t){break;}
baseMinusT=base-t;if(w>floor(maxInt/baseMinusT)){error('overflow');}
w*=baseMinusT;}
out=output.length+1;bias=adapt(i-oldi,out,oldi==0);if(floor(i/out)>maxInt-n){error('overflow');}
n+=floor(i/out);i%=out;output.splice(i++,0,n);}
return ucs2encode(output);}
function encode(input){var n,delta,handledCPCount,basicLength,bias,j,m,q,k,t,currentValue,output=[],inputLength,handledCPCountPlusOne,baseMinusT,qMinusT;input=ucs2decode(input);inputLength=input.length;n=initialN;delta=0;bias=initialBias;for(j=0;j<inputLength;++j){currentValue=input[j];if(currentValue<0x80){output.push(stringFromCharCode(currentValue));}}
handledCPCount=basicLength=output.length;if(basicLength){output.push(delimiter);}
while(handledCPCount<inputLength){for(m=maxInt,j=0;j<inputLength;++j){currentValue=input[j];if(currentValue>=n&&currentValue<m){m=currentValue;}}
handledCPCountPlusOne=handledCPCount+1;if(m-n>floor((maxInt-delta)/handledCPCountPlusOne)){error('overflow');}
delta+=(m-n)*handledCPCountPlusOne;n=m;for(j=0;j<inputLength;++j){currentValue=input[j];if(currentValue<n&&++delta>maxInt){error('overflow');}
if(currentValue==n){for(q=delta,k=base;;k+=base){t=k<=bias?tMin:(k>=bias+tMax?tMax:k-bias);if(q<t){break;}
qMinusT=q-t;baseMinusT=base-t;output.push(stringFromCharCode(digitToBasic(t+qMinusT%baseMinusT,0)));q=floor(qMinusT/baseMinusT);}
output.push(stringFromCharCode(digitToBasic(q,0)));bias=adapt(delta,handledCPCountPlusOne,handledCPCount==basicLength);delta=0;++handledCPCount;}}
++delta;++n;}
return output.join('');}
function toUnicode(input){return mapDomain(input,function(string){return regexPunycode.test(string)?decode(string.slice(4).toLowerCase()):string;});}
function toASCII(input){return mapDomain(input,function(string){return regexNonASCII.test(string)?'xn--'+encode(string):string;});}
punycode={'version':'1.3.2','ucs2':{'decode':ucs2decode,'encode':ucs2encode},'decode':decode,'encode':encode,'toASCII':toASCII,'toUnicode':toUnicode};if(typeof define=='function'&&typeof define.amd=='object'&&define.amd){define('punycode',function(){return punycode;});}else if(freeExports&&freeModule){if(module.exports==freeExports){freeModule.exports=punycode;}else{for(key in punycode){punycode.hasOwnProperty(key)&&(freeExports[key]=punycode[key]);}}}else{root.punycode=punycode;}}(this));function getParameterByName(name){var regex=new RegExp("[\\?&]"+name+"=([^&#]*)"),results=regex.exec(location.search);return results==null?"":decodeURIComponent(results[1].replace(/\+/g," "));}
function appendToMiscatReportUrl(text){var reportUrl=$("#reportbtn").attr('href');$("#reportbtn").attr('href',reportUrl+text);}
function appendCategory(category){var categoryName="";switch(category.toLowerCase()){case"online":categoryName="Online Games";break;case"social":categoryName="Social Networking";break;case"pornography":categoryName="Pornography and Adult";break;case"suicide":categoryName="Suicide and Self Harm";break;case"weapons":categoryName="Weapons, Violence, Gore and Hate";break;case"anonymizers":categoryName="Anonymizers, Filesharing and Hacking";break;case"drugs":categoryName="Drugs and Criminal Skills";break;case"dating":categoryName="Dating";break;case"phishing":categoryName="Phishing and Malware";break;default:categoryName="Unknown category";break;}
$('<li>').text(categoryName).appendTo('#categories');}
function isDefaultOn(){return getParameterByName("default")=="true";}
$(function(){var categories=getParameterByName('categories'),blacklist=getParameterByName('match_user_blacklist'),domain=getParameterByName('domain'),unicodeDomain=punycode.toUnicode(domain),domainValidationRegex=/^[a-z0-9\-]+(\.[a-z0-9\-]+)*\.[a-z0-9\-]{2,}$/;displayCopy();function displayCopy(){var phishing_container=document.querySelectorAll('div.phishing-text')[0];if(document.URL.match(/phishing/i)){var phishing_text=""
var phishing_text="<p>If this is a website that you regularly visit, it may have been blocked temporarily due to a potential security issue that we've identified. In this instance, please try again later.</p><br>"+"<p>If you'd still like to access this site, you can add it to your allowed list or change your age rating on the settings page. If you do this, please be aware that Sky Broadband Shield will no longer be able to protect you from any malicious content the site may contain.</p>"+"<br><p>Otherwise you can close this window and continue browsing other websites.</p>"
phishing_container.innerHTML=phishing_text;}};if(blacklist=='true'){$("h1 + p:first").html("<span class='domain'>It</span> has been matched to your Sky Broadband Shield blocklist");$(".cp").addClass("hidden");}
if(blacklist=='true'||(blacklist==''&&categories=='')){$(".phishing-text").addClass("hidden");}
if(domain!==''&&domain.match(domainValidationRegex)){$('.domain').html("<strong>"+unicodeDomain+"</strong>");appendToMiscatReportUrl('?domain='+domain);}else{$("#dfo-miscat").addClass("hidden");}
if(categories!=''&&(blacklist=='false'||blacklist=='')){$(".matched-categories").removeClass("hidden");var categoriesArray=categories.split(',');for(var i=0;i<categoriesArray.length;i++){appendCategory(categoriesArray[i]);}
appendToMiscatReportUrl('&categories='+categories);}else{$("#dfo-miscat").addClass("hidden");}
if(domain===''||(domain!==""&&window.location.search.slice(-1)=="&")){$(".cp").addClass("hidden");$(".cache-message").removeClass("hidden");}
if(domain!=""&&categories==""&&blacklist=='false'){$(".new-par").addClass("hidden");$("h1 + p:first").addClass("hidden");$(".phishing-text").addClass("hidden");document.getElementById("bbmsg").innerHTML="Please wait while we unblock this site";document.getElementById("cacheMsg").style.display="block";}
if($(".phishing-text").hasClass("hidden")){$(".new-par").removeClass("hidden");}
if(isDefaultOn()){$(".dfo-settings").removeClass("hidden");$(".turn-off").removeClass("hidden");$(".cp p:first").removeClass("hidden");}});